Satellite 6 installer fails with 'No Puppet module parser is installed and no cache of the file /usr/share/foreman-installer/modules/foreman/manifests/compute/rackspace.pp' is available

Solution Verified - Updated -

Issue

  • Running the Satellite installation script gives the error output below:

    Traceback (most recent call last):
        20: from /sbin/satellite-installer:8:in `<main>'
        19: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/kafo_configure.rb:50:in `run'
        18: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'
        17: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `new'
        16: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/kafo_configure.rb:140:in `initialize'
        15: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:56:in `execute'
        14: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:56:in `each'
        13: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:58:in `block in execute'
        12: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hook_context.rb:19:in `execute'
        11: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hook_context.rb:19:in `instance_eval'
        10: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:35:in `block (4 levels) in load'
         9: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:35:in `instance_eval'
         8: from /usr/share/foreman-installer/hooks/boot/12-clear_pulp_content.rb:1:in `block (4 levels) in load'
         7: from /usr/share/foreman-installer/hooks/boot/01-kafo-hook-extensions.rb:85:in `pulp_present?'
         6: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hook_context.rb:113:in `module_present?'
         5: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/kafo_configure.rb:246:in `module'
         4: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/kafo_configure.rb:242:in `modules'
         3: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/configuration.rb:132:in `modules'
         2: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/configuration.rb:132:in `map'
         1: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/configuration.rb:132:in `block in modules'
    /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/puppet_module.rb:69:in `parse': No Puppet module parser is installed and no cache of the file /usr/share/foreman-installer/modules/foreman/manifests/compute/rackspace.pp is available. Please check debug logs and install optional dependencies for the parser. (Kafo::ParserError)
    

Environment

  • Red Hat Satellite 6

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content